> For the complete documentation index, see [llms.txt](https://docs.buildings.ability.abb/collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buildings.ability.abb/collection/english-v14/apps/apps/mystrom-app.md).

# myStrom app

> The Smart WiFi Switch switches connected devices on and off, saves energy, and protects your home. Developed in Switzerland.

This application provides direct access to the myStrom Smart Switches via Eliona. It allows users to check the current status of the switches, view statistics, manage the Smart Switches, and above all connect myStrom devices with systems from various other brands.

### Installation

The myStrom app is installed in Eliona via the App Store.

### Assets

The myStrom app automatically creates all necessary asset types and assets.

#### Structuring assets

The asset types `myStrom Root` and `myStrom Room` are only created to create a structure in Eliona. ​

#### Devices

​- *Switch*: A WiFi switch.

| Attribute    | Description  | Subtype |
| ------------ | ------------ | ------- |
| `Power`      | Energy       | Input   |
| `Temp`       | Temperature  | Input   |
| `RelayState` | Relay Status | Input   |
| `Relay`      | Relay        | output  |

### Configuration

{% hint style="info" %}
More information on configuring apps can be found [↗ here](https://doc.eliona.io/collection/dokumentation/einstellungen/apps).​
{% endhint %}

| Attribute          | Description                                                                                                                                |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `apiKey`           | API key provided by myStrom                                                                                                                |
| `enable`           | Flag to enable or disable retrieval from this API                                                                                          |
| `refreshInterval`  | Interval in seconds for device discovery. This is an expensive operation and should not be less than 3600 s                                |
| `dataPollInterval` | Polling frequency for data updates in seconds.                                                                                             |
| `requestTimeout`   | API request timeout in seconds                                                                                                             |
| `assetFilter`      | Filter for asset creation, further details can be found in the app's README                                                                |
| `projectIDs`       | List of Eliona project IDs for which this device should collect data. For each project ID, all assets are automatically created in Eliona. |

The configuration is done using a corresponding JSON structure. As an example, the following JSON structure can be used to define an endpoint for app permissions:

```
{
  "apiKey": "api.key",
  "enable": true,
  "refreshInterval": 3600,
  "dataPollInterval": 60,
  "requestTimeout": 120,
  "assetFilter": [],
  "projectIDs": [
    "10"
  ]
}
```

Configurations can be created in Eliona with this structure under `Apps > myStrom > Settings` To do so, select the /configs endpoint with the POST method.

After the configuration is complete, the app starts continuous asset creation. Once all discovered devices have been created, the user is informed via Eliona's notification system.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.buildings.ability.abb/collection/english-v14/apps/apps/mystrom-app.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
